Package weka.core

# Enum Class Capabilities.Capability

java.lang.Object
java.lang.Enum<Capabilities.Capability>
weka.core.Capabilities.Capability

All Implemented Interfaces:
  `Serializable`, `Comparable<Capabilities.Capability>`, `Constable`

Enclosing class:
  Capabilities

public static enum Capabilities.Capability extends Enum<Capabilities.Capability>
enumeration of all capabilities

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BINARY_ATTRIBUTES`
  can handle binary attributes
  `BINARY_CLASS`
  can handle binary classes
  `DATE_ATTRIBUTES`
  can handle date attributes
  `DATE_CLASS`
  can handle date classes
  `EMPTY_NOMINAL_ATTRIBUTES`
  can handle empty nominal attributes
  `EMPTY_NOMINAL_CLASS`
  can handle empty nominal classes
  `MISSING_CLASS_VALUES`
  can handle missing values in class attribute
  `MISSING_VALUES`
  can handle missing values in attributes
  `NO_CLASS`
  can handle data without class attribute, eg clusterers
  `NOMINAL_ATTRIBUTES`
  can handle nominal attributes
  `NOMINAL_CLASS`
  can handle nominal classes
  `NUMERIC_ATTRIBUTES`
  can handle numeric attributes
  `NUMERIC_CLASS`
  can handle numeric classes
  `ONLY_MULTIINSTANCE`
  can handle multi-instance data
  `RELATIONAL_ATTRIBUTES`
  can handle relational attributes
  `RELATIONAL_CLASS`
  can handle relational classes
  `STRING_ATTRIBUTES`
  can handle string attributes
  `STRING_CLASS`
  can handle string classes
  `UNARY_ATTRIBUTES`
  can handle unary attributes
  `UNARY_CLASS`
  can handle unary classes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAttribute()`
  returns true if the capability is an attribute
  `boolean`
  `isAttributeCapability()`
  returns true if the capability is an attribute capability
  `boolean`
  `isClass()`
  returns true if the capability is a class
  `boolean`
  `isClassCapability()`
  returns true if the capability is a other capability
  `boolean`
  `isOtherCapability()`
  returns true if the capability is a class capability
  `String`
  `toString()`
  returns the display string of the capability
  `static Capabilities.Capability`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Capabilities.Capability[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOMINAL_ATTRIBUTES

    public static final Capabilities.Capability NOMINAL_ATTRIBUTES
    can handle nominal attributes

  - ### BINARY_ATTRIBUTES

    public static final Capabilities.Capability BINARY_ATTRIBUTES
    can handle binary attributes

  - ### UNARY_ATTRIBUTES

    public static final Capabilities.Capability UNARY_ATTRIBUTES
    can handle unary attributes

  - ### EMPTY_NOMINAL_ATTRIBUTES

    public static final Capabilities.Capability EMPTY_NOMINAL_ATTRIBUTES
    can handle empty nominal attributes

  - ### NUMERIC_ATTRIBUTES

    public static final Capabilities.Capability NUMERIC_ATTRIBUTES
    can handle numeric attributes

  - ### DATE_ATTRIBUTES

    public static final Capabilities.Capability DATE_ATTRIBUTES
    can handle date attributes

  - ### STRING_ATTRIBUTES

    public static final Capabilities.Capability STRING_ATTRIBUTES
    can handle string attributes

  - ### RELATIONAL_ATTRIBUTES

    public static final Capabilities.Capability RELATIONAL_ATTRIBUTES
    can handle relational attributes

  - ### MISSING_VALUES

    public static final Capabilities.Capability MISSING_VALUES
    can handle missing values in attributes

  - ### NO_CLASS

    public static final Capabilities.Capability NO_CLASS
    can handle data without class attribute, eg clusterers

  - ### NOMINAL_CLASS

    public static final Capabilities.Capability NOMINAL_CLASS
    can handle nominal classes

  - ### BINARY_CLASS

    public static final Capabilities.Capability BINARY_CLASS
    can handle binary classes

  - ### UNARY_CLASS

    public static final Capabilities.Capability UNARY_CLASS
    can handle unary classes

  - ### EMPTY_NOMINAL_CLASS

    public static final Capabilities.Capability EMPTY_NOMINAL_CLASS
    can handle empty nominal classes

  - ### NUMERIC_CLASS

    public static final Capabilities.Capability NUMERIC_CLASS
    can handle numeric classes

  - ### DATE_CLASS

    public static final Capabilities.Capability DATE_CLASS
    can handle date classes

  - ### STRING_CLASS

    public static final Capabilities.Capability STRING_CLASS
    can handle string classes

  - ### RELATIONAL_CLASS

    public static final Capabilities.Capability RELATIONAL_CLASS
    can handle relational classes

  - ### MISSING_CLASS_VALUES

    public static final Capabilities.Capability MISSING_CLASS_VALUES
    can handle missing values in class attribute

  - ### ONLY_MULTIINSTANCE

    public static final Capabilities.Capability ONLY_MULTIINSTANCE
    can handle multi-instance data

- ## Method Details

  - ### values

    public static Capabilities.Capability[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Capabilities.Capability valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAttribute

    public boolean isAttribute()
    returns true if the capability is an attribute
    Returns:
      true if the capability is an attribute

  - ### isClass

    public boolean isClass()
    returns true if the capability is a class
    Returns:
      true if the capability is a class

  - ### isAttributeCapability

    public boolean isAttributeCapability()
    returns true if the capability is an attribute capability
    Returns:
      true if the capability is an attribute capability

  - ### isOtherCapability

    public boolean isOtherCapability()
    returns true if the capability is a class capability
    Returns:
      true if the capability is a class capability

  - ### isClassCapability

    public boolean isClassCapability()
    returns true if the capability is a other capability
    Returns:
      true if the capability is a other capability

  - ### toString

    public String toString()
    returns the display string of the capability
    Overrides:
      `toString` in class `Enum<Capabilities.Capability>`
    Returns:
      the display string